#pragma once
#include "Config.h"

class CServer;
class CLogWriter
{
protected:
	CCriticalSection	m_scopeLock;

public:
	CLogWriter(void);
	virtual ~CLogWriter(void);
	void Init(CServer *server) {m_server = server;};
	void UpdateLog();

	void WriteSystemLog(LPCTSTR lpszFormat, ...);		//	ログの出力
	void WriteLog(LPCTSTR lpszFormat, ...);				//	ログの出力

	CServer			*m_server;
	CStringArray	m_normalLog;
	CStringArray	m_systemLog;
};
